# OpenLayers.Style2

This class represents a collection of rules for rendering features.

Summary

OpenLayers.Style2 | This class represents a collection of rules for rendering features.
Properties |
id | {String} A unique id for this session.
name | {String} Style identifier.
title | {String} Title of this style.
description | {String} Description of this style.
layerName | {String} Name of the layer that this style belongs to, usually according to the NamedLayer attribute of an SLD document.
isDefault | {Boolean}
rules | {Array(OpenLayers.Rule)} Collection of rendering rules.
Constructor |
OpenLayers.Style2 | Creates a style representing a collection of rendering rules.
Functions |
destroy | nullify references to prevent circular references and memory leaks
clone | Clones this style.

### Properties

### id

{String} A unique id for this session.

### name

{String} Style identifier.

### title

{String} Title of this style.

### description

{String} Description of this style.

### layerName

{String} Name of the layer that this style belongs to, usually according to the NamedLayer attribute of an SLD document.

### isDefault

{Boolean}

### rules

{Array(OpenLayers.Rule)} Collection of rendering rules.

### Constructor

### OpenLayers.Style2

Creates a style representing a collection of rendering rules.

#### Parameters

config | {Object} An object containing properties to be set on the style. Any documented properties may be set at construction.

#### Returns

{OpenLayers.Style2} A new style object.

### Functions

### destroy

> destroy: function()

nullify references to prevent circular references and memory leaks

### clone

> clone: function()

Clones this style.

#### Returns

{OpenLayers.Style2} Clone of this style.

Contains convenience functions for string manipulation.
This class represents an SLD Rule, as being used for rule-based SLD styling.

> destroy: function()

nullify references to prevent circular references and memory leaks

> clone: function()

Clones this style.
Creates a style representing a collection of rendering rules.
Close